const char indexHTML[] PROGMEM = R"=====(
<!DOCTYPE html>
<html>
 <head>
  <title>WiFi Zählwaage</title>
  <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  <meta name=viewport content="width=device-width, initial-scale=1">
  <script type="text/javascript">
var Url = "/";   
var StuckGewicht = parseFloat("0.05");  
var Gewicht= 1.11;
var umschalter= false;
var Stukzahl=10;
window.onload = start;       //Funktion nach dem laden des HTMLs ausführen

function start () 
{
myAjax = new XMLHttpRequest();   // Bilden anen AJAX objekts
myAjax.onreadystatechange=LesenAjax;  // Wenn Ereignis vom Server kommt, wird funktion LesenAjax ausgeführt
setInterval(aktualisieren,800);    // Initialisiert das Timer-gesteuerte Ausführen von Funktion //aktualisieren();
aktualisieren(); 
}

function aktualisieren () 
{
myAjax.open("GET",Url+"gewicht.php",true);        // GET-Anfrage an Server senden
myAjax.send();  
}

function LesenAjax()   //AJAX-Ereignis ist passiert
{

    if (myAjax.readyState==4 && myAjax.status==200) // Wenn antwort volständig und OK
    {                                               // dann
      var datenstr=myAjax.responseText;               // empfangene Daten als Text 
    Gewicht = parseFloat(datenstr);
    if (!umschalter)
    {
    hauptanzeige.innerHTML=datenstr.replace(/\./g, ',')+" g";
    }
    else
    {
    hauptanzeige.innerHTML = Math.round( Gewicht / StuckGewicht )+" St.";
    }
    }
}

function httpGet ( sende )
      {
        myAjax.open ( "GET", Url + sende, true) ;
        myAjax.send() ;
      }
    
function Tarieren ()
      {
    umschalter=false;
      httpGet('gewicht.php?tara=1');
    Art.style.backgroundColor = "#fff";
    Art.value="";
     btnStuck.style.backgroundColor = btnTara.style.backgroundColor ;
      }   
    
function Zaelwage ()
      {
    umschalter=true;
      StuckGewicht=Gewicht/Stukzahl;
      btnStuck.style.backgroundColor = "#ffb3ff" ;
      }  

function  speichere()
{
myAjax.open ( "POST", Url + "gewicht.php", false ) ;
myAjax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded; charset=UTF-8");
var nachricht="Artikel="+ Art.value + "&Gewicht=" + hauptanzeige.innerHTML;
myAjax.send(nachricht);
Art.style.backgroundColor = "#f4d03f" ;
}

function stueck (addierer)
{
Stukzahl+=addierer;
if (Stukzahl<5)Stukzahl=5;
if (Stukzahl>50)Stukzahl=50;
btnStuck.innerHTML= Stukzahl+" Stück";
}     
</script>

<style type="text/css" media="screen, print, projection">

html, body, #wrap {
    height: 99% ;
  padding: 0; margin: 0;

}


#wrap
{
margin: auto;
position: absolute;
top: 0;
left: 0;
bottom: 0;
right: 0;
box-sizing: border-box;
text-align: center; 
vertical-align: middle; 
max-width: 1000px; 
width:100%;
background:#808080 ;
border-radius: 10px;
padding: 3px;  
}

#linke
{
margin-right:3px;
box-sizing: border-box;
text-align: center; 
vertical-align: middle; 
width: calc(50% - 3px);
align-items: center;
justify-content: center;
background:#dce;
border-radius: 10px;
padding:5px;
height: 100% ;
font-size:5vw;
float: left;
border: 2px solid #36F;
font-family: Montserrat, "Helvetica Neue", sans-serif;
}

#rechte
{
box-sizing: border-box;
text-align: center; 
width:50%;
display: flex;
align-items: center;
justify-content: center;
background:#dcf;
border-radius: 10px;
padding:0;    
height: 100% ;
font-family: Montserrat, "Helvetica Neue", sans-serif;
border: 2px solid #36F;
}

.btn
{
border-radius: 10px;
vertical-align: center; 
text-align: center;
width  :  80%;
padding:2vw; 
font-size: 3vw;
}

#Art
{
width: 100%; 
box-sizing: border-box;
font-size:2ex;
}


@media screen and (orientation: portrait) 
{
#linke {width:100%; height: 50% ;}
#rechte {width:100%; height: 50% ; }

.btn
{
padding:3vw; 
font-size: 6vw;
}

#linke
{
font-size:10vw;
}
   
   }
   @media screen and (orientation: landscape) 
{
   html, body,#wrap {
    max-height: 500px  !important;}
}
</style>

 </head>
 <body>
<div id="wrap">

<div id="linke">
<body>
  <table style="text-align: right; width: 100%; height: 100%;" border="0" cellpadding="0" cellspacing="0" >
  <tr>
  <td>
 <h1 id="hauptanzeige">----- g</h1>
  </td>
  </tr>
    <tr>
  <td>
<input  name="Artikel" id="Art" value="" type="text">
  </td>
  </tr>
  </tbody>
</table> 
</div>

<div id="rechte">
<body>
  <table style="text-align: center; width: 100%; height: 100%; " border="0" cellpadding="0" cellspacing="0" >
  <tr>
    <td>
<button class="btn" onclick="stueck(5)">+ 5 St.</button>
  </td>
  <td>
<button class="btn" id="btnTara" autofocus onclick="Tarieren()">Tara</button>
  </td>
  </tr>
    <tr>
    <td>
<a href="tabelle.html"><button class="btn"  >Tabelle</button></a>
  </td>
  <td>

<button class="btn" id="btnStuck" onclick="Zaelwage()">10 Stück</button>
  </td>
  </tr>
  <tr>
    <td>
<button class="btn" onclick="stueck(-5)">- 5 St.</button>
  </td>
  <td>
<button class="btn" onclick="speichere()">Speichern</button>
  </td>
  </tr>
  </tbody>
</table>  
</div>
</div>
</body>
</html>

)=====" ;
